*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.container {
  margin: 0 auto;
  width: 1440px;
  background-color: #f5f5f7;
  overflow-x: hidden;
}
header {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 400px;
}

.header__arrow-down {
  display: flex;
  width: 100%;
  justify-content: space-between;
  margin-bottom: 50px;
}

.header__title-block {
  width: 100%;
  margin-bottom: 200px;
}

.header__title {
  text-align: center;
  padding: 10px 0;
  font-size: 48px;
  letter-spacing: 15px;
}

.header__title-arrow-hint {
  font-size: 24px;
}

.header__subtitle {
  font-size: 64px;
  letter-spacing: 15px;
  text-transform: uppercase;
  margin-bottom: 30px;
  line-height: 250px;
}

@keyframes arrowFill {
  from {
    height: 0px;
  }
  to {
    height: 80px;
  }
}

.arrow {
  width: 80px;
  height: 80px;
  -webkit-mask: url("./images/arrow-down.svg") center/contain no-repeat;
  mask: url("./images/arrow-down.svg") center/contain no-repeat;
  background-color: #000;
  position: relative;
}

.arrow::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 80px;
  height: 0px;
  -webkit-mask: inherit;
  mask: inherit;
  -webkit-mask-size: contain;
  mask-size: contain;
  -webkit-mask-position: center;
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  transition: height 0.5s cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 1;
}

.arrow-lemon-lime::after {
  background: linear-gradient(to bottom, #1a871d, #2bad2f);
}

.arrow-grape::after {
  background: linear-gradient(to bottom, #dda2f2, #e33ddc);
}

.arrow-watermelon::after {
  background: linear-gradient(to bottom, #de073b, #a9cd77);
}

.arrow-cherry::after {
  background: linear-gradient(to bottom, #780023, #d95494);
}

.arrow:hover::after {
  height: 100%;
}

@keyframes floatUpDown {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}

.float-element {
  animation: floatUpDown 3s ease-in-out infinite;
}

.introduction {
  text-align: center;
  margin-bottom: 150px;
}

@keyframes autoFocus {
  from {
    opacity: 0;
    transform: translateY(200px) scale(0.3);
  }
  to {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

.introduction h2 {
  margin-bottom: 40px;
  font-size: 64px;
  line-height: 120px;
  letter-spacing: 15px;
  font-weight: normal;
  text-transform: uppercase;
}

.auto-focus {
  animation: autoFocus;
  animation-timeline: view(45% auto);
}

.can-slider {
  width: 100%;
  height: 500px;
  overflow: hidden;
  mask-image: linear-gradient(to right, transparent, #000 10% 90%, transparent);
  margin-bottom: 100px;
}

.can-slider__list {
  display: flex;
  position: relative;
  align-items: self-start;
}

.can-slider__list-item {
  width: 300px;
  height: 500px;
  position: absolute;
  left: 100%;
  animation: autoRun 10s linear infinite;
  animation-delay: calc((10s / 4) * (var(--position) - 1));
  padding: 10px;
  cursor: pointer;
}

.can-slider__list-item img {
  width: 100%;
  pointer-events: none;
  user-select: none;
  -webkit-user-drag: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

@keyframes autoRun {
  from {
    left: 100%;
  }
  to {
    left: calc(300px * -1);
  }
}

.can-slider:hover .can-slider__list-item {
  animation-play-state: paused;
  filter: grayscale(1);
}

.can-slider__list-item:hover {
  scale: 1.1;
  filter: grayscale(0) !important;
}

.can-flavor {
  font-size: 64px;
  text-align: center;
  margin-bottom: 300px;
  text-transform: uppercase;
}

.feedback {
  position: relative;
  margin-bottom: 300px;
  display: flex;
  justify-content: center;
}

.feedback_text {
  position: absolute;
  font-size: 128px;
  text-transform: uppercase;
}

@keyframes feedbackTitleLeft {
  from {
    transform: translateX(-175%);
  }
  to {
    transform: translateX(0%);
  }
}

@keyframes feedbackTitleRight {
  from {
    transform: translateX(150%);
  }
  to {
    transform: translateX(0%);
  }
}

.feedback_text--left {
  align-self: self-end;
  transform: translateX(-175%);
  animation: feedbackTitleLeft 1s;
  animation-timeline: view(45% auto);
  animation-fill-mode: both;
}

.feedback_text--right {
  align-self: self-start;
  transform: translateX(150%);
  animation: feedbackTitleRight 1s;
  animation-timeline: view(45% auto);
  animation-fill-mode: both;
}

.feedback__stars {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row-reverse;
  margin-bottom: 200px;
}

.feedback__stars svg {
  cursor: pointer;
}

svg:hover path,
svg:hover ~ svg path {
  fill: #ffd700; /* Золотой цвет */
  stroke: #ffaa00;
  stroke-width: 1.2;
}
